Hey,

Which version of winpthreads are you using for cross compilation of Bareos? 
Installing the one provided in the OpenSUSE repo gives me:

../../lib/devlock.c:261:7: error: second operand to the conditional operator is 
of type 'void', but the third operand is neither a throw-expression nor of type 
'void'
       pthread_cleanup_pop(0);

I read on an older Bacula post that it was down to Bacula using a really old 
version of winpthreads. If this is the case, what version do you use/from what 
source?

Thanks.

-- 
You received this message because you are subscribed to the Google Groups 
"bareos-devel" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to bareos-devel+unsubscr...@googlegroups.com.
To post to this group, send email to bareos-devel@googlegroups.com.
For more options, visit https://groups.google.com/d/optout.

Reply via email to